.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding-top: rem(90);
}

.main {
    flex-grow: 1;
    padding: rem(40) 0;

    @include media-breakpoint-up(md) {
        padding: rem(60) 0;
    }

    @include media-breakpoint-up(xl) {
        padding: rem(80) 0;
    }
}

.section {

    &__header {
        position: relative;
        margin-bottom: rem(40);
        padding-bottom: rem(20);
        text-align: center;
        text-transform: uppercase;

        &:before {
            bottom: 0;
            left: calc(50% - 25px);
            width: 50px;
            height: 5px;
            content: '';
            position: absolute;
            background-color: var(--primary);
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            margin-bottom: rem(60);
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            margin-bottom: rem(80);
        }
    }
}

.service-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-rows: rem(340) rem(340);
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-template-rows: rem(420) rem(420);
    }
}

.service-item {
    color: white;
    height: rem(320);
    text-decoration: none;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background-color: rgba(167, 133, 106, 0.2);
        transition: var(--transition-time);
    }

    &:hover {

        &:before {
            background-color: rgba(255, 171, 7, 0.3);
            transition: var(--transition-time);
        }
    }

    &--xl {
        height: rem(400);
    }

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__content {
        z-index: 50;
        position: relative;
        padding: rem(48) rem(24);
    }

    &__title {
        font-weight: 700;
        font-size: rem(30);
        line-height: rem(36);

        a {
            color: white;
            text-decoration: none;

            &:hover {
                color: white;
                text-decoration: none;
            }
        }
    }

    &__text {
        font-weight: 500;
        margin-top: rem(10);
    }

    &__button {
        margin-top: rem(40);
    }

    @include media-breakpoint-up(md) {

        &--xl {
            grid-column: span 2;
        }
    }

    @include media-breakpoint-up(xl) {
        height: auto;

        &--xl {
            height: auto;
            grid-row: span 2;
        }

        &__title {
            font-weight: 800;
        }

        &__content {
            padding: rem(48) rem(48) rem(64) rem(48);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__content {
            padding: rem(48) rem(48) rem(96) rem(48);
        }
    }
}

.content {
    max-width: rem(1200);
    margin: 0 auto;
    font-size: rem(16);
    line-height: rem(28);
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
